select
    row_number() over (order by oh.oh_id asc) as "pos",
    oh.oh_timepoint as "time",
    it.it_isil as "supplierisil",
    cast(o.or_status as text) as "status",
    NULL as "statustranslation",
    'UNDEFINED' as "substatus",
    oa.oa_info as "substatustranslation",
    oh.oh_info as "info",
    case
      when oh.oh_type = 41 then 'true'
      else NULL
     end as "trackable"
from orders o
    inner join orderhist oh on oh.oh_or_id = o.or_id
    inner join orderaction oa on oh.oh_type = oa.oa_id
    inner join delstatus ds on o.or_status = ds.ds_id
    inner join institutions it on oh.oh_it_id = it.it_id
