select
    to_char(o.or_id) as "ordernumber"
from orders o
    inner join stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    inner join institutions req on s.st_src_inst = req.it_id
where
    req.it_isil = :isil
    and replace(substr(o.or_ext_order_id, -instr(reverse(o.or_ext_order_id), '::') + 1),'/','%2F') = :ref
