select
    o.or_when as "ordertime",
    req.it_isil as "requesterisil",
    o.or_tan as "transactionid",
    s.st_bennr as "clientid",
    s.st_ben1 as "clientname",
    s.st_del_email as "clientemail",
    s.ST_DEL_NF_IM1 || chr(10) || s.ST_DEL_NF_IM2 || chr(10) || s.ST_DEL_NF_IM3 as "clientaddress",
    o.or_note as "clientcomment",
    s.st_zuskosten as "maxcost",
    s.st_del_fetch_location as "pickuplocation",
    s.st_locname as "pickupcode",
    replace(o.or_ext_user_id,'/','%2F') as "externalrequester"
from orders o
    inner join stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    inner join institutions req on s.st_src_inst = req.it_id
    inner join delstatus ds on o.or_status = ds.ds_id
where o.or_id = :key
