select
       st_or_id as "ST_OR_ID",
       st_seqno as "ST_SEQNO",
       st_status as "ST_STATUS",
       st_when as "ST_WHEN",
       to_char(st_when,'DD.MM.YYYY HH24:MI') as "ST_WHEN_DATE",
       st_src_inst as "ST_SRC_INST",
       st_dest_inst as "ST_DEST_INST",
       st_cus_id as "ST_CUS_ID",
       st_ir_id as "ST_IR_ID",
       st_itm_return as "ST_ITM_RETURN",
       st_itm_signatur as "ST_ITM_SIGNATUR",
       st_itm_title as "ST_ITM_TITLE",
       st_itm_sub_title as "ST_ITM_SUB_TITLE",
       st_itm_spon_body as "ST_ITM_SPON_BODY",
       st_itm_publ_place as "ST_ITM_PUBL_PLACE",
       st_itm_publisher as "ST_ITM_PUBLISHER",
       st_itm_ser_tit_no as "ST_ITM_SER_TIT_NO",
       st_itm_vol_issue as "ST_ITM_VOL_ISSUE",
       st_itm_publ_date_comp as "ST_ITM_PUBL_DATE_COMP",
       st_itm_art_author as "ST_ITM_ART_AUTHOR",
       st_itm_art_title as "ST_ITM_ART_TITLE",
       st_itm_pagination as "ST_ITM_PAGINATION",
       st_itm_isn as "ST_ITM_ISN",
       st_itm_ver_ref_src as "ST_ITM_VER_REF_SRC",
       st_itm_suppl_desc as "ST_ITM_SUPPL_DESC",
       st_itm_uniq_id1 as "ST_ITM_UNIQ_ID1",
       st_itm_uniq_id2 as "ST_ITM_UNIQ_ID2",
       st_del_type as "ST_DEL_TYPE",
       st_del_email as "ST_DEL_EMAIL",
       st_del_ftp as "ST_DEL_FTP",
       st_del_fax_no as "ST_DEL_FAX_NO",
       st_del_mail_name1 as "ST_DEL_MAIL_NAME1",
       st_del_mail_name2 as "ST_DEL_MAIL_NAME2",
       st_del_mail_name3 as "ST_DEL_MAIL_NAME3",
       st_del_mail_name4 as "ST_DEL_MAIL_NAME4",
       st_del_mail_zip as "ST_DEL_MAIL_ZIP",
       st_del_mail_city as "ST_DEL_MAIL_CITY",
       st_del_mail_street as "ST_DEL_MAIL_STREET",
       st_del_mail_street2 as "ST_DEL_MAIL_STREET2",
       st_del_country as "ST_DEL_COUNTRY",
       st_del_im1 as "ST_DEL_IM1",
       st_del_im2 as "ST_DEL_IM2",
       st_del_im3 as "ST_DEL_IM3",
       st_del_nf_type as "ST_DEL_NF_TYPE",
       st_del_nf_email as "ST_DEL_NF_EMAIL",
       st_del_nf_fax as "ST_DEL_NF_FAX",
       st_del_nf_mail_name1 as "ST_DEL_NF_MAIL_NAME1",
       st_del_nf_mail_name2 as "ST_DEL_NF_MAIL_NAME2",
       st_del_nf_mail_zip as "ST_DEL_NF_MAIL_ZIP",
       st_del_nf_mail_city as "ST_DEL_NF_MAIL_CITY",
       st_del_nf_mail_street as "ST_DEL_NF_MAIL_STREET",
       st_del_nf_mail_street2 as "ST_DEL_NF_MAIL_STREET2",
       st_del_nf_country as "ST_DEL_NF_COUNTRY",
       st_del_nf_im1 as "ST_DEL_NF_IM1",
       st_del_nf_im2 as "ST_DEL_NF_IM2",
       st_del_nf_im3 as "ST_DEL_NF_IM3",
       st_del_mail_area_code as "ST_DEL_MAIL_AREA_CODE",
       st_us_id as "ST_US_ID",
       st_us_when as "ST_US_WHEN",
       st_id as "ST_ID",
       st_rl_text as "ST_RL_TEXT",
       st_type as "ST_TYPE",
       st_prio as "ST_PRIO",
       st_del_fetch_code as "ST_DEL_FETCH_CODE",
       st_del_mail1 as "ST_DEL_MAIL1",
       st_del_mail2 as "ST_DEL_MAIL2",
       st_del_mail3 as "ST_DEL_MAIL3",
       st_del_mail4 as "ST_DEL_MAIL4",
       st_del_mail5 as "ST_DEL_MAIL5",
       st_del_nf_mail1 as "ST_DEL_NF_MAIL1",
       st_del_nf_mail2 as "ST_DEL_NF_MAIL2",
       st_del_nf_mail3 as "ST_DEL_NF_MAIL3",
       st_del_nf_mail4 as "ST_DEL_NF_MAIL4",
       st_del_nf_mail5 as "ST_DEL_NF_MAIL5",
       st_BibListAlt as "ST_BIBLISTALT",
       st_BibList as "ST_BIBLIST",
       st_RLSigs as "ST_RLSIGS",
       st_Ben1 as "ST_BEN1",
       st_BenNr as "ST_BENNR",
       st_HeimSig as "ST_HEIMSIG",
       st_Heimname as "ST_HEIMNAME",
       st_Heimadresse as "ST_HEIMADRESSE",
       st_Heimadresse2 as "ST_HEIMADRESSE2",
       st_LiefBis as "ST_LIEFBIS",
       st_ZusKosten as "ST_ZUSKOSTEN",
       st_LocName as "ST_LOCNAME",
       st_del_fetch_location as "ST_DEL_FETCH_LOCATION"
from
  stages
where
  st_or_id = :ordernumber
  and st_seqno = :n
